import os
from dotenv import load_dotenv

load_dotenv()

from bot.app import app
from webserver.webapp import webapp

PORT = os.environ.get("PORT")


@app.listen()
async def on_ready():
    app.loop.create_task(webapp.run_task("0.0.0.0", PORT))


app.run(os.environ.get("DISCORD_TOKEN"))
