from quart import Blueprint, render_template, jsonify, request

bereal_time = Blueprint("bereal_time", __name__, template_folder="templates")


@bereal_time.route("/post", methods=["POST"])
async def time_to_bereal():
    # May be coming from those IPs:
    # 66.228.40.136 (us-east1.dbsrv.net)
    # 2600:3c03::f03c:92ff:febe:a263/64
    # fe80::f03c:92ff:febe:a263/64

    data = await request.get_json()
    return {"error": 200, "message": "Success"}


@bereal_time.errorhandler(405)
async def method_not_allowed(e):
    return jsonify({"error": 405, "message": "Method not allowed"}), 405
